v_multi_scaler: V_multi_scaler_v1_0

| v_multi_scaler Xilinx SDK Drivers API Documentation

- Overview
- APIs
- File List

Functions
V_multi_scaler_v1_0

## Functions
void | XVMultiScaler_SetCallback (XV_multi_scaler *InstancePtr, void *CallbackFunc, void *CallbackRef)
| This function installs an asynchronous callback function: More...
void * | XV_MultiScalerIntrHandler (void *InstancePtr)
| This function is the interrupt handler for the MultiScaler core driver. More...
void | XV_MultiScalerStart (XV_multi_scaler *InstancePtr)
| This function starts the multi scaler core. More...
void | XV_MultiScalerStop (XV_multi_scaler *InstancePtr)
| This function stops the multi scaler core. More...
u32 | XV_MultiScalerGetNumOutputs (XV_multi_scaler *InstancePtr)
| This function returns the number of outputs. More...
void | XV_MultiScalerSetNumOutputs (XV_multi_scaler *InstancePtr, u32 NumOuts)
| This function sets the number of outputs. More...
void | XV_MultiScalerGetChannelConfig (XV_multi_scaler *InstancePtr, XV_multi_scaler_Video_Config *MS_cfg)
| This function reads the channel configuration. More...
void | XV_MultiScalerSetChannelConfig (XV_multi_scaler *InstancePtr, XV_multi_scaler_Video_Config *MS_cfg)
| This function configures the scaler core registers with the specified configuration parameters. More...

## Function Documentation

void XV_MultiScalerGetChannelConfig | ( | XV_multi_scaler * | InstancePtr,
|  | XV_multi_scaler_Video_Config * | MS_cfg
| ) |  |

This function reads the channel configuration.

The ChannelId of the channel for which the configuration info is needed has to be filled by the application in the MS_cfg structure.

Parameters

  InstancePtr | is a pointer to the core instance to be worked on.
  MS_cfg | is a pointer to the multi scaler config structure.

Returns
  None

u32 XV_MultiScalerGetNumOutputs | ( | XV_multi_scaler * | InstancePtr | ) |

This function returns the number of outputs.

Parameters

  InstancePtr | is a pointer to the core instance to be worked on.

Returns
  number of outputs

void* XV_MultiScalerIntrHandler | ( | void * | InstancePtr | ) |

This function is the interrupt handler for the MultiScaler core driver.

This handler clears the pending interrupt and determines if the source is frame done signal. If yes, calls the registered callback function.

The application is responsible for connecting this function to the interrupt system.

Parameters

  InstancePtr | is a pointer to the core instance that just interrupted.

Returns
  None.

Note
  None.

void XV_MultiScalerSetChannelConfig | ( | XV_multi_scaler * | InstancePtr,
|  | XV_multi_scaler_Video_Config * | MS_cfg
| ) |  |

This function configures the scaler core registers with the specified configuration parameters.

Parameters

  InstancePtr | is a pointer to the core instance to be worked on.
  MS_cfg | is a pointer to the multi scaler config structure.

Returns
  None

void XV_MultiScalerSetNumOutputs | ( | XV_multi_scaler * | InstancePtr,
|  | u32 | NumOuts
| ) |  |

This function sets the number of outputs.

Parameters

  InstancePtr | is a pointer to the core instance to be worked on.
  NumOuts | is the number of output channels.

Returns
  None

void XV_MultiScalerStart | ( | XV_multi_scaler * | InstancePtr | ) |

This function starts the multi scaler core.

Parameters

  InstancePtr | is a pointer to the core instance to be worked on.

Returns
  None

void XV_MultiScalerStop | ( | XV_multi_scaler * | InstancePtr | ) |

This function stops the multi scaler core.

Parameters

  InstancePtr | is a pointer to the core instance to be worked on.

Returns
  None

void XVMultiScaler_SetCallback | ( | XV_multi_scaler * | InstancePtr,
|  | void * | CallbackFunc,
|  | void * | CallbackRef
| ) |  |

This function installs an asynchronous callback function:

Parameters

  InstancePtr | is a pointer to the MultiScaler IP instance.
  CallbackFunc | is the address of the callback function.
  CallbackRef | is a user data item that will be passed to the callback function when it is invoked.

Returns
  None.

Note
  Invoking this function for a handler that already has been installed replaces it with the new handler.